Overview | Package | Class | Tree | Deprecated | Index | Help
| XCC/J 4.2-9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.marklogic.xcc.exceptions
Class XQueryStackFrame

    java.lang.Object
      com.marklogic.xcc.exceptions.XQueryStackFrame

    public class XQueryStackFrame

extends Object

An XQuery evaluator stack frame.

Constructor Summary
`XQueryStackFrame(String uri, int line, String operation, XdmVariable[] variables, String contextItem, int contextPosition, String xqueryVersion)` Construct a stack frame.

Method Summary
`String` | `getContextItem()` Get the context item, or null if there is no context defined.
`int` | `getContextPosition()` Get the context position, or 0 if there is no context defined.
`int` | `getLineNumber()` Get the line number in the XQuery source.
`String` | `getOperation()` Get the description of the current operation.
`String` | `getUri()` Get the URI of the XQuery source.
`XdmVariable[]` | `getVariables()` Get the variable bindings.
`String` | `getXQueryVersion()` Get the XQuery version for this stack frame

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XQueryStackFrame

    public XQueryStackFrame(String uri,
                            int line,
                            String operation,
                            XdmVariable[] variables,
                            String contextItem,
                            int contextPosition,
                            String xqueryVersion)

  Construct a stack frame.

  Parameters:
    `uri` - The URI of the XQuery source.
    `line` - The line number in the XQuery source.
    `operation` - The description of the current operation.
    `variables` - The variable bindings.
    `contextItem` - The context item or null.
    `contextPosition` - The context position or 0.
    `xqueryVersion` - The XQuery version of the module

Method Detail

### getUri

    public String getUri()

  Get the URI of the XQuery source.

  Returns:
    The URI of the module, if defined.

### getLineNumber

    public int getLineNumber()

  Get the line number in the XQuery source.

  Returns:
    The line number for this string

### getOperation

    public String getOperation()

  Get the description of the current operation.

  Returns:
    A description of the operation

### getVariables

    public XdmVariable[] getVariables()

  Get the variable bindings.

  Returns:
    The variable bindings

### getContextItem

    public String getContextItem()

  Get the context item, or null if there is no context defined.

  Returns:
    The context item or null

### getContextPosition

    public int getContextPosition()

  Get the context position, or 0 if there is no context defined.

  Returns:
    The context position, or 0

### getXQueryVersion

    public String getXQueryVersion()

  Get the XQuery version for this stack frame

  Returns:
    The XQuery version of the module

Overview | Package | Class | Tree | Deprecated | Index | Help
| XCC/J 4.2-9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 MarkLogic Corporation, All Rights Reserved.

Complete online documentation for MarkLogic Server, XQuery and related components may be found at developer.marklogic.com